#include "basesolver.hpp"

struct kissat;

class basekissat : public basesolver {
public:
    void parse_dimacs(char* filename);
    void import_original_clause(preprocess *pre);
    void diversity(int id);
    void terminate();
    int  solve();
    void get_model(vec<int> &model);

    basekissat(int id, light *light);
    ~basekissat();
    kissat* solver;

};